::-webkit-scrollbar {
	width: 0.8rem;
}

::-webkit-scrollbar-thumb {
	background: var(--dark);
	border-radius: 4px;
}

::-webkit-scrollbar-track {
	background: var(--light);
}

html {
	-webkit-tap-highlight-color: transparent;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	-webkit-text-size-adjust: 100%;
	font-size: 87.5%;
}

@media (--xs) {
	html {
		font-size: 93.75%;
	}
}

@media (--sm) {
	html {
		font-size: 100%;
	}
}

/* stylelint-disable */
body {
	background: var(--white);
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.45;
	font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto,
		Oxygen-Sans, Ubuntu, Cantarell, 'Helvetica Neue', sans-serif;
	line-height: 1.5;
	color: var(--body-text-color);
	direction: ltr;
	-webkit-text-size-adjust: 100%;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
/* stylelint-enable */

h1,
h2,
h3,
h4,
h5,
h6 {
	font-family: var(--font-default);
	font-weight: var(--font-bold);
	line-height: 1.25;
}

a {
	color: var(--black);
	text-decoration: none;
	transition: all 0.3s;

	&:hover {
		text-decoration: none;
	}
}

.bold-text,
strong {
	font-weight: var(--font-bold);
}

.list-reset {
	@mixin list-reset;
}

.label-text {
	@mixin label-text;
}

.uppercase-text {
	text-transform: uppercase;
}
